Bug 1258527 - mcollective does not start because of USER_AVC [NEEDINFO]
mcollective does not start because of USER_AVC
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy (Show other bugs)
7.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Lukas Vrabec
Milos Malik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-31 10:41 EDT by Milos Malik
Modified: 2016-09-09 08:03 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-29 17:52:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmalik: needinfo? (mmahut)
lvrabec: needinfo? (mmahut)


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2015-08-31 10:41:56 EDT
Description of problem:
 * the mcollective service starts successfully in permissive mode

Version-Release number of selected component (if applicable):
mcollective-2.5.2-1.el7.noarch
mcollective-common-2.5.2-1.el7.noarch
selinux-policy-3.13.1-45.el7.noarch
selinux-policy-devel-3.13.1-45.el7.noarch
selinux-policy-doc-3.13.1-45.el7.noarch
selinux-policy-minimum-3.13.1-45.el7.noarch
selinux-policy-mls-3.13.1-45.el7.noarch
selinux-policy-sandbox-3.13.1-45.el7.noarch
selinux-policy-targeted-3.13.1-45.el7.noarch

How reproducible:
always

Steps to Reproduce:
# service mcollective status
● mcollective.service - LSB: Start daemon at boot time
   Loaded: loaded (/etc/rc.d/init.d/mcollective)
   Active: inactive (dead)
     Docs: man:systemd-sysv-generator(8)
[root@sheep-65 ~]# service mcollective start
Starting mcollective (via systemctl):  
** (pkttyagent:9032): WARNING **: Unable to register authentication agent: Timeout was reached
Error registering authentication agent: Timeout was reached (g-io-error-quark, 24)
Failed to start mcollective.service: Connection timed out
[FAILED]
#

Actual results:
----
type=USER_AVC msg=audit(08/31/2015 14:28:20.178:205) : pid=641 uid=dbus auid=unset ses=unset subj=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 msg='avc:  denied  { send_msg } for msgtype=method_return dest=:1.57 spid=711 tpid=7267 scontext=system_u:system_r:policykit_t:s0 tcontext=unconfined_u:system_r:openshift_initrc_t:s0-s0:c0.c1023 tclass=dbus  exe=/usr/bin/dbus-daemon sauid=dbus hostname=? addr=? terminal=?' 
----

Expected results:
 * no USER_AVCs, mcollective is able to start
Comment 5 Lukas Vrabec 2016-03-22 09:54:35 EDT
Any update here?
Comment 7 Lukas Vrabec 2016-06-29 17:52:17 EDT
Closing as INSUFFICIENT_DATA. We don't have enough info.

Note You need to log in before you can comment on or make changes to this bug.